library IEEE;

use IEEE.std_logic_1164.all;
use IEEE.std_logic_arith.all;
use IEEE.std_logic_unsigned.all;

entity mul_wrapper is
  PORT
	(
		signal dataa		: IN STD_LOGIC_VECTOR (31 DOWNTO 0);
		signal datab		: IN STD_LOGIC_VECTOR (31 DOWNTO 0);
		signal result64		: OUT STD_LOGIC_VECTOR (31 DOWNTO 0) 
        
	);
      
end mul_wrapper;

architecture datapath of mul_wrapper is
  
component mul IS
	PORT
	(
		dataa		: in STD_LOGIC_VECTOR (31 DOWNTO 0);
		datab		: in STD_LOGIC_VECTOR (31 DOWNTO 0);
		result		: out STD_LOGIC_VECTOR (63 DOWNTO 0) 
        
	);
END component;

signal mult_result: std_logic_vector (63 downto 0);

begin

  mult_inst : mul PORT MAP (
		dataa	 => dataa,
		datab	 => datab,
		result	 => mult_result
 
	);
  
  result64 <= mult_result(31)&mult_result(31)&mult_result(31)&mult_result(31)&
              mult_result(31)&mult_result(31)&mult_result(31)&mult_result(31)&
              mult_result(31)&mult_result(31)&mult_result(31)&mult_result(31)&
              mult_result(31)&mult_result(31)&mult_result(31)&mult_result(31 downto 15);
end datapath;
