/*
	audio_dummy.c: dummy audio output

	copyright ?-2006 by the mpg123 project - free software under the terms of the LGPL 2.1
	see COPYING and AUTHORS files in distribution or http://mpg123.de
	initially written by Michael Hipp
*/

#include "config.h"
#include "mpg123.h"
#include <stdlib.h>
#include <stdio.h>
#include <asm/io.h>

#include <asm/ioctl.h>

int audio_open(struct audio_info_struct *ai)
{
  ai->handle = NULL;
  return 0;
}

int audio_get_formats(struct audio_info_struct *ai)
{
  return AUDIO_FORMAT_SIGNED_16;
}

int audio_play_samples(struct audio_info_struct *ai,unsigned char *buf,int len)
{
  int i;
  writew(ai->rate, 0x00500002);
  writew(ai->channels, 0x00500004);
  for(i=0; i<8192; i++)
    if(readw(0x00500000) < 8190)
       writew((buf[i*2+1]<<8)|(buf[i*2]), 0x00500000);
  return len;
}

int audio_close(struct audio_info_struct *ai)
{
  return 0;
}

void audio_queueflush(struct audio_info_struct *ai)
{
printf("We don't queue damnit!\n");
}
